Redmine 2.5.1 on Ubuntu 12.04 - removing plugins to prepare for upgrade error

Keywords: Redmine - Installers - How to - Other

Description:
We are running RM 2.5.1 on Ubuntu 12.04. Trying to migrate to 4.x on Windows.
We have 4 plugins installed: redmine_backlogs, redmine_mylyn_connector, redmine_release_notes, and redmine_time_tracker.

My understanding ( from here: https://www.redmine.org/projects/redmine/wiki/Plugins ) is I need to run for each plugin and then remove the directory:


bundle exec rake redmine:plugins:migrate NAME=plugin_name VERSION=0 RAILS_ENV=production


I have run:


cd /opt/bitnami/apps/redmine/htdocs/plugins
bundle exec rake redmine:plugins:migrate NAME=redmine_backlogs VERSION=0 RAILS_ENV=production
bundle exec rake redmine:plugins:migrate NAME=redmine_mylyn_connector VERSION=0 RAILS_ENV=production
bundle exec rake redmine:plugins:migrate NAME=redmine_release_notes VERSION=0 RAILS_ENV=production
bundle exec rake redmine:plugins:migrate NAME=redmine_time_tracker VERSION=0 RAILS_ENV=production
rm -rf /opt/bitnami/apps/redmine/htdocs/plugins
sudo /opt/bitnami/ctlscript.sh restart


And after restart it crashes with “Something went wrong.”
Is there some other way to remove/uninstall/demigrate plugins?

Hi @bitnami.3dde25,

Thank you for using our solution. That’s a specific question about the application so we suggest you ask in the official forums of the application to get more information about that. The app’s documentation should also describe how to achieve what you want to, so please take a look at it too.

https://www.redmine.org/projects/redmine/boards

However, we will also keep this ticket open in this forum in case any Bitnami user ran into the same issue recently.

Thanks

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.